NfaBuilder (BioJava-1.5-beta API)
Keywords: org.biojava.utils.automata.NfaBuilder interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.automata
Interface NfaBuilder

All Known Implementing Classes:
  Nfa, NfaSubModel

    public interface NfaBuilder

Method Summary
`org.biojava.utils.automata.FiniteAutomaton.Transition` | `addEpsilonTransition(org.biojava.utils.automata.FiniteAutomaton.Node start, org.biojava.utils.automata.FiniteAutomaton.Node end)`
`org.biojava.utils.automata.FiniteAutomaton.Transition` | `addLambdaTransition(org.biojava.utils.automata.FiniteAutomaton.Node start, org.biojava.utils.automata.FiniteAutomaton.Node end)`
`org.biojava.utils.automata.FiniteAutomaton.Node` | `addNode(boolean isTerminal)`
`org.biojava.utils.automata.FiniteAutomaton.Transition` | `addTransition(org.biojava.utils.automata.FiniteAutomaton.Node start, org.biojava.utils.automata.FiniteAutomaton.Node end, Symbol sym)`
`org.biojava.utils.automata.FiniteAutomaton.NodeSet` | `createNodeSet()`
`FiniteAutomaton` | `getAutomaton()`
`org.biojava.utils.automata.FiniteAutomaton.Node` | `getEnd()`
`org.biojava.utils.automata.FiniteAutomaton.NodeSet` | `getNodes()`
`org.biojava.utils.automata.FiniteAutomaton.Node` | `getStart()`
`Set` | `getTransitions()`
`String` | `toString()`

Method Detail

### getAutomaton

    FiniteAutomaton getAutomaton()

### getStart

    org.biojava.utils.automata.FiniteAutomaton.Node getStart()

### getEnd

    org.biojava.utils.automata.FiniteAutomaton.Node getEnd()

### addNode

    org.biojava.utils.automata.FiniteAutomaton.Node addNode(boolean isTerminal)

### addTransition

    org.biojava.utils.automata.FiniteAutomaton.Transition addTransition(org.biojava.utils.automata.FiniteAutomaton.Node start,
                                                                        org.biojava.utils.automata.FiniteAutomaton.Node end,
                                                                        Symbol sym)

### addEpsilonTransition

    org.biojava.utils.automata.FiniteAutomaton.Transition addEpsilonTransition(org.biojava.utils.automata.FiniteAutomaton.Node start,
                                                                               org.biojava.utils.automata.FiniteAutomaton.Node end)

### addLambdaTransition

    org.biojava.utils.automata.FiniteAutomaton.Transition addLambdaTransition(org.biojava.utils.automata.FiniteAutomaton.Node start,
                                                                              org.biojava.utils.automata.FiniteAutomaton.Node end)

### getNodes

    org.biojava.utils.automata.FiniteAutomaton.NodeSet getNodes()

### getTransitions

    Set getTransitions()

### createNodeSet

    org.biojava.utils.automata.FiniteAutomaton.NodeSet createNodeSet()

### toString

    String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD